Subject: RE: getsem: can't open cygwin1S3.sigcatch.1468
From: "Scott Wallace" <[email-masked]>
To: "'Larry Hall (RFK Partners, Inc)'" <[email-masked]>, "'egor duda'" <[email-masked]>
Cc: "'DJ Delorie'" <[email-masked]>
Date: Wed, 11 Apr 2001 15:40:47 -0500

I've replaced the cygwin1.dll with the new one from the latest snapshot and
the problem's gone!  Thank you very much for your help!

Scott Wallace

-----Original Message-----
From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
Sent: Wednesday, April 11, 2001 2:31 PM
To: Scott Wallace; 'egor duda'
Subject: RE: getsem: can't open cygwin1S3.sigcatch.1468

At 03:22 PM 4/11/2001, Scott Wallace wrote:
>I'm sorry, I didn't know what a "snapshot" was.  I understand now.  I've
>gone to your snapshots link and downloaded the cygwin1.dll binary.  What's
>the best way to use the new binary?  Should I just stop the cygwin service,
>rename the old cygwin1.dll and copy over the new cygwin1.dll and restart
the
>service?

I guessed that you weren't sure what a snapshot was, which is why I asked.

The cygwin1.dll that you get from the snapshot is binary compatible with the
one you have so as long as you only wish to use the Cygwin tools (and not
build something), doing as you outlined will be sufficient for you.

>Thank you both for your help!  I apologize for the direct email rather than
>re-joining the email list and going that route.  You've been a tremendous
>help!

Happy to be of service.

>thank you,
>Scott Wallace
>
>
>
>-----Original Message-----
>From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
>Sent: Wednesday, April 11, 2001 2:03 PM
>To: Scott Wallace; 'egor duda'
>Subject: RE: getsem: can't open cygwin1S3.sigcatch.1468
>
>
>Are you suggesting that you installed a snapshot with setup?  Egor pointed
>out that the change is in the development snapshots only so unless you
>downloaded one of those, you won't see the change.  Updating your
>installation
>through the standard mechanism doesn't retrieve snapshots.  See
>http://www.cygwin.com/snapshots/ if you want to get a development snapshot.
>
>Larry Hall                              [email-masked]
>RFK Partners, Inc.                      http://www.rfk.com
>118 Washington Street                   (508) 893-9779 - RFK Office
>Holliston, MA 01746                     (508) 893-9889 - FAX
>
>
>
>At 02:55 PM 4/11/2001, Scott Wallace wrote:
> >Monday or Tuesday I updated my Cygwin installation from the internet
using
> >http://www.cygwin.com/setup.exe but I'm still seeing the problem.  Was a
>fix
> >put in since Monday the 9th?
> >Thank you, again,
> >Scott Wallace
> >
> >
> >-----Original Message-----
> >From: egor duda [mailto:[email-masked]]
> >Sent: Wednesday, April 11, 2001 1:40 PM
> >To: Scott Wallace
> >Cc: [email-masked]
> >Subject: Re: getsem: can't open cygwin1S3.sigcatch.1468
> >
> >
> >Hi!
> >
> >Wednesday, 11 April, 2001 Scott Wallace [email-masked] wrote:
> >
> >SW>   I hope I've sent this to the right place...
> >
> >it's better to send to mail list. I'll forward it there.
> >
> >SW>   I found this in the Cygwin mail archives.  I'm having the same
> >SW> problem (as in the subject of this  email).  I am using the latest
> >SW> Cygwin installed from the internet.  Do you  have any idea what
> >SW> could be causing this problem?  As BKAR mentioned, it  happens
> >SW> with various commands somewhat intermittently, but fairly often.
> >
>
>===========================================================================
>=
> >=
> >  >>BKAR>  Any ideas what I might have screwd up?
> >  >>BKAR>  (Line breaks by me):
> >  >>BKAR> - - - - - - - - - - - - - - - - - - - - - - - - - - -
> >  >>BKAR>   0 [sig] make 293 getsem:
> >  >>BKAR>           can't open cygwin1S3.sigcatch.224, Win32 error 5
> >  >>BKAR> 538 [sig] make 293 wait_sig:
> >  >>BKAR>           WFMO failed, Win32 error 6
> >  >>BKAR> 60001268 [main] make 293 sig_send:
> >  >>BKAR>      wait for sig_complete event failed, sig -2, rc 258, Win32
> >error 0
> >  >>BKAR> - - - - - - - - - - - - - - - - - - - - - - - - - - -
> >  >>
> >  >>i've  checked  in the fix for this problem few hours ago. grab
today's
> >  >>snapshot when it's available and look if it helps.
>
>===========================================================================
>=
> >=
> >
> >This problem is supposedly fixed in current development snapshot.
> >You can either try current snapshot or wait for upcoming 1.3.0 release.
> >
> >Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19
> >
> >
> >
> >--
> >Want to unsubscribe from this list?
> >Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple